Get Many Unsubscribes
curl --request GET \
--url https://api.lemlist.com/api/unsubscribes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/unsubscribes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/unsubscribes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/unsubscribes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/unsubscribes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "uns_ZfdZWc7dvCqXdgQmb",
"createdAt": "2023-06-12T10:45:21.367Z",
"value": "john.doe@example.com",
"source": "user"
}
]"No API key provided""The authentication you supplied is incorrect""User linked to this API key is blocked""No user found for this API key"Legacy
Get Many Unsubscribes
deprecated
Retrieves a list of all unsubscribed emails and domains.
GET
/
unsubscribes
Get Many Unsubscribes
This endpoint is legacy. Use List Unsubscribed Variables instead.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Offset for pagination
Number of unsubscribes to retrieve. Default: 100
Response
Success
Unique unsubscribe identifier
Unsubscribed email address
Campaign ID from which the person unsubscribed
Campaign name from which the person unsubscribed
Unsubscribe timestamp
Unsubscribe scope
Available options:
campaign, team, global Was this page helpful?